Loading...
Searching...
No Matches
QGpgME::DownloadJob Class Referenceabstract

An abstract base class for asynchronous downloaders. More...

`#include <downloadjob.h>`

Inheritance diagram for QGpgME::DownloadJob:
[legend]
Collaboration diagram for QGpgME::DownloadJob:
[legend]

## Signals

void | result (const GpgME::Error &result, const QByteArray &keyData, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

virtual GpgME::Error | start (const QByteArray &fingerprint, const std::shared_ptr< QIODevice > &keyData)=0
virtual QGPGME_DEPRECATED GpgME::Error | start (const QStringList &fingerprints)=0
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Protected Member Functions

| DownloadJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Detailed Description

An abstract base class for asynchronous downloaders.

To use a DownloadJob, first obtain an instance from the CryptoBackend implementation, connect the progress() and result() signals to suitable slots and then start the download with a call to start(). This call might fail, in which case the DownloadJob instance will have scheduled it's own destruction with a call to QObject::deleteLater().

After result() is emitted, the DownloadJob will schedule it's own destruction by calling QObject::deleteLater().

## Member Function Documentation

## start() [1/2]

virtual GpgME::Error QGpgME::DownloadJob::start | ( | const QByteArray & | fingerprint,
|  | const std::shared_ptr< QIODevice > & | keyData )

pure virtual

Starts the download operation. fingerprint is the fingerprint of the key to download. If fingerprint is empty, contains only whitespace or anything other than a fingerprint, the result is undefined.

Output is written to keyData, if given. Otherwise, it is passed as the second argument of result().

Implemented in QGpgME::QGpgMEDownloadJob.

## start() [2/2]

virtual QGPGME_DEPRECATED GpgME::Error QGpgME::DownloadJob::start | ( | const QStringList & | fingerprints | ) |

pure virtual

Starts the download operation. fingerprints is a list of fingerprints used to specify the list of keys downloaded. Empty patterns are ignored. If fingerprints is empty, contains only empty strings or anything other than fingerprints, the result is undefined.

Implemented in QGpgME::QGpgMEDownloadJob.

The documentation for this class was generated from the following file:

- downloadjob.h